PLplot: plstdio.c File Reference

PLplot 5.15.0

Macros | Functions
plstdio.c File Reference
`#include "plplotP.h"`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`

Go to the source code of this file.

## Macros
#define | DEBUG
#define | NEED_PLDEBUG
#define | PL_MAXNTMPDIR_LIST 5
#define | _S_IREAD 256
#define | _S_IWRITE 128

## Functions
static PLINT | get_tmpdir_list (PLINT max_ntmpdir_list, char **tmpdir_list, PLINT maxcurrdir, char *currdir)
void | plio_fwrite (void *buf, size_t size, size_t nmemb, FILE *stream)
void | plio_fread (void *buf, size_t size, size_t nmemb, FILE *stream)
void | plio_fgets (char *buf, int size, FILE *stream)
FILE * | pl_create_tempfile (char **fname)
char * | pl_create_tempfifo (const char **p_fifoname, const char **p_dirname)

## Macro Definition Documentation

## ◆ _S_IREAD

#define _S_IREAD 256

## ◆ _S_IWRITE

#define _S_IWRITE 128

## ◆ DEBUG

#define DEBUG

Definition at line 25 of file plstdio.c.

## ◆ NEED_PLDEBUG

#define NEED_PLDEBUG

Definition at line 26 of file plstdio.c.

## ◆ PL_MAXNTMPDIR_LIST

#define PL_MAXNTMPDIR_LIST 5

## Function Documentation

## ◆ get_tmpdir_list()

static PLINT get_tmpdir_list | ( | PLINT | max_ntmpdir_list,
|  | char ** | tmpdir_list,
|  | PLINT | maxcurrdir,
|  | char * | currdir
| ) |  |
| static

Definition at line 179 of file plstdio.c.

## ◆ pl_create_tempfifo()

char* pl_create_tempfifo | ( | const char ** | p_fifoname,
|  | const char ** | p_dirname
| ) |  |

Definition at line 344 of file plstdio.c.

## ◆ pl_create_tempfile()

FILE* pl_create_tempfile | ( | char ** | fname | ) |

Definition at line 240 of file plstdio.c.

## ◆ plio_fgets()

void plio_fgets | ( | char * | buf,
|  | int | size,
|  | FILE * | stream
| ) |  |

Definition at line 142 of file plstdio.c.

## ◆ plio_fread()

void plio_fread | ( | void * | buf,
|  | size_t | size,
|  | size_t | nmemb,
|  | FILE * | stream
| ) |  |

Definition at line 98 of file plstdio.c.

## ◆ plio_fwrite()

void plio_fwrite | ( | void * | buf,
|  | size_t | size,
|  | size_t | nmemb,
|  | FILE * | stream
| ) |  |

Definition at line 68 of file plstdio.c.